<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_obj.xsd"/>
<xsd:include schemaLocation="common_trans_obj.xsd"/>


	<xsd:element name="FAULTS_LIST" type="FaultsListContent"/>
	<xsd:element name="HLOG_OPCODE" type="xsd:integer"/>
	<xsd:element name="SUBJECT_MASK" type="xsd:integer"/>
	<xsd:element name="TIME_STAMP" type="xsd:dateTime"/>
	<xsd:element name="HLOG_PARAMS" type="HLogParamsContent"/>
	<xsd:element name="HLOG_ELEMENT" type="HLogContent"/>
	<xsd:element name="HLOG_DRV_ELEMENT" type="HLogDrvContent"/>
	<xsd:element name="LOG_ACCNT_ELEMENT" type="LogAccntContent"/>
	<xsd:element name="LOG_FAULT_ELEMENT" type="LogFaultContent"/>
	<xsd:element name="LOG_NET_ELEMENT" type="LogNetContent"/>
	<xsd:element name="FAULT_DESC_STARTUP" type="FaultDescriptorStartupContent"/>
	<xsd:element name="FAULT_DESC_ASSERT" type="FaultDescriptorAssertContent"/>
	<xsd:element name="FAULT_DESC_EXCEPTION" type="FaultDescriptorExceptionContent"/>
	<xsd:element name="FAULT_DESC_FILE" type="FaultDescriptorFileContent"/>
	<xsd:element name="FAULT_DESC_GENERAL" type="FaultDescriptorGeneralContent"/>
	<xsd:element name="FAULT_DESC_RESERVATION" type="FaultDescriptorReservationContent"/>
	<xsd:element name="FAULT_DESC_CONFERENCE" type="FaultDescriptorReservationContent"/>
	<xsd:element name="FAULT_DESC_CARD" type="FaultDescriptorCardContent"/>
	<xsd:element name="FAULT_DESC_UNIT" type="FaultDescriptorUnitContent"/>
	<xsd:element name="FAULT_DESC_MPL" type="FaultDescriptorMplContent"/>
	<xsd:element name="FILE_LINE_NUMBER" type="xsd:integer"/>
	<xsd:element name="ASSERT_RESULT_CODE" type="xsd:integer"/>
	<xsd:element name="ASSERT_DESCRIPTION" type="xsd:string"/>
	<xsd:element name="EXCEPTION_MESSAGE" type="xsd:string"/>
	<xsd:element name="FILE_TYPE" type="FaultFileType"/>
	<xsd:element name="GENERAL_MESSAGE" type="xsd:string"/>

	<xsd:complexType name="FaultsListContent">
		<xsd:sequence>
			<xsd:element ref="ID"/>
			<xsd:element ref="OBJ_TOKEN"/>
			<xsd:element ref="CHANGED"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			<xsd:group ref="HLOG_TYPE"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:group name="HLOG_TYPE">
		<xsd:choice>
			<xsd:element ref="HLOG_ELEMENT"  minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="HLOG_DRV_ELEMENT"  minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="LOG_ACCNT_ELEMENT"  minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="LOG_FAULT_ELEMENT"  minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="LOG_NET_ELEMENT"  minOccurs="0" maxOccurs="unbounded"/>
		</xsd:choice>
	</xsd:group>

	<xsd:complexType name="HLogParamsContent">
		<xsd:sequence>
			<!--xsd:element ref="HLOG_OPCODE"/-->
			<!--xsd:element ref="SUBJECT_MASK"/-->
			<xsd:element ref="TIME_STAMP"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="HLogContent">
		<xsd:sequence>
			<xsd:element ref="TIME_STAMP"/>
			<!--xsd:element ref="HLOG_PARAMS"/-->
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="HLogDrvContent">
		<xsd:sequence>
			<xsd:element ref="TIME_STAMP"/>
			<!--xsd:element ref="HLOG_PARAMS"/-->
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="LogAccntContent">
		<xsd:sequence>
			<xsd:element ref="TIME_STAMP"/>
			<!--xsd:element ref="HLOG_PARAMS"/-->
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="LogFaultContent">
		<xsd:sequence>
			<xsd:element ref="TIME_STAMP"/>
			<!--xsd:element ref="HLOG_PARAMS"/-->
			<xsd:group ref="FAULT_DESCRIPTOR"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="LogNetContent">
		<xsd:sequence>
			<xsd:element ref="TIME_STAMP"/>
			<!--xsd:element ref="HLOG_PARAMS"/-->
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:group name="FAULT_DESCRIPTOR">
		<xsd:choice>
			<xsd:element ref="FAULT_DESC_STARTUP"/>
			<xsd:element ref="FAULT_DESC_ASSERT"/>
			<xsd:element ref="FAULT_DESC_CARD"/>
			<xsd:element ref="FAULT_DESC_EXCEPTION"/>
			<xsd:element ref="FAULT_DESC_FILE"/>
			<xsd:element ref="FAULT_DESC_GENERAL"/>
			<xsd:element ref="FAULT_DESC_RESERVATION"/>
			<xsd:element ref="FAULT_DESC_CONFERENCE"/>
			<xsd:element ref="FAULT_DESC_UNIT"/>
			<xsd:element ref="FAULT_DESC_MPL"/>
		</xsd:choice>
	</xsd:group>

	<xsd:complexType name="FaultDescriptorStartupContent">
		<xsd:sequence>
			<xsd:element ref="FAULT_DESC_PARAMS"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="FaultDescriptorAssertContent">
		<xsd:sequence>
			<xsd:element ref="FAULT_DESC_PARAMS"/>
			<xsd:element ref="FILE_NAME"/>
			<xsd:element ref="FILE_LINE_NUMBER"/>
			<xsd:element ref="ASSERT_RESULT_CODE"/>
			<xsd:element ref="ASSERT_DESCRIPTION"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="FaultDescriptorExceptionContent">
		<xsd:sequence>
			<xsd:element ref="FAULT_DESC_PARAMS"/>
			<xsd:element ref="EXCEPTION_MESSAGE"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="FaultDescriptorFileContent">
		<xsd:sequence>
			<xsd:element ref="FAULT_DESC_PARAMS"/>
			<xsd:element ref="FILE_TYPE"/>
			<xsd:element ref="FILE_NAME"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="FaultFileType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="version_configuration"/>
			<xsd:enumeration value="cards_configuration"/>
			<xsd:enumeration value="network_configuration"/>
			<xsd:enumeration value="operators_configuration"/>
			<xsd:enumeration value="system_configuration"/>
			<xsd:enumeration value="logging"/>
			<xsd:enumeration value="reservation_database"/>
			<xsd:enumeration value="message_configuration"/>
			<xsd:enumeration value="meeting_room_database"/>
      <xsd:enumeration value="conference_template_database"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:complexType name="FaultDescriptorGeneralContent">
		<xsd:sequence>
			<xsd:element ref="FAULT_DESC_PARAMS"/>
			<xsd:element ref="GENERAL_MESSAGE"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="FaultDescriptorReservationContent">
		<xsd:sequence>
			<xsd:element ref="FAULT_DESC_PARAMS"/>
			<xsd:element ref="CONF_DATA"/>
			<xsd:element ref="PARTY_DATA"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="FaultDescriptorCardContent">
		<xsd:sequence>
			<xsd:element ref="FAULT_DESC_PARAMS"/>
			<xsd:element ref="BOARD_NUMBER"/>
			<xsd:element ref="UNIT_NUMBER"/>
			<xsd:element ref="FAULT_TYPE"/>
			<xsd:element ref="GENERAL_MESSAGE"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="FaultDescriptorUnitContent">
		<xsd:sequence>
			<xsd:element ref="FAULT_DESC_PARAMS"/>
			<xsd:element ref="BOARD_NUMBER"/>
			<xsd:element ref="UNIT_NUMBER"/>
			<xsd:element ref="FAULT_TYPE"/>
			<xsd:element ref="GENERAL_MESSAGE"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="FaultDescriptorMplContent">
		<xsd:sequence>
			<xsd:element ref="FAULT_DESC_PARAMS"/>
			<xsd:element ref="FAULT_TYPE"/>
			<xsd:element ref="GENERAL_MESSAGE"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>
	
</xsd:schema>
